<?php
/**
 * Mods & Additions for Visual Compressor plugin
 *
 * @package js_composer
 */

/*------------------------------------------------------*/
/* REMOVE ELEMENTS
/*------------------------------------------------------*/

global $wpc_option;

if ( !$wpc_option['enable_default_vc'] ) {

	vc_remove_element('vc_wp_categories');
	vc_remove_element('vc_wp_rss');
	vc_remove_element('vc_wp_text');
	vc_remove_element('vc_wp_meta');
	vc_remove_element('vc_wp_recentcomments');
	vc_remove_element('vc_wp_tagcloud');
	vc_remove_element('vc_wp_archives');
	vc_remove_element('vc_wp_calendar');
	vc_remove_element('vc_wp_pages');
	vc_remove_element('vc_wp_links');
	vc_remove_element('vc_wp_posts');
	vc_remove_element('vc_wp_search');
	vc_remove_element('vc_wp_custommenu');
	vc_remove_element("vc_cta_button");
	vc_remove_element("vc_cta_button2");
	vc_remove_element("vc_button");
	//vc_remove_element("vc_button2");
	vc_remove_element("vc_custom_heading");
	vc_remove_element("vc_facebook");
	vc_remove_element("vc_tweetmeme");
	vc_remove_element("vc_googleplus");
	vc_remove_element("vc_pinterest");
	vc_remove_element("vc_flickr");
	vc_remove_element("vc_progress_bar");
	vc_remove_element("vc_pie");
	vc_remove_element("vc_carousel");
	vc_remove_element("vc_posts_slider");
	vc_remove_element("vc_tabs");
	vc_remove_element("vc_tour");
	vc_remove_element("vc_accordion");
	vc_remove_element("vc_images_carousel");
	vc_remove_element("vc_gallery");
	vc_remove_element("vc_toggle");
	//vc_remove_element("vc_posts_grid");

}






/*------------------------------------------------------*/
/* ROW
/*------------------------------------------------------*/
vc_remove_param("vc_row", "css");
vc_remove_param("vc_row", "font_color");
vc_remove_param("vc_row", "full_width");
vc_remove_param("vc_row", "el_class");
vc_remove_param("vc_row", "el_id");
vc_remove_param("vc_row", "parallax");
vc_remove_param("vc_row", "parallax_image");

vc_add_param("vc_row", array(
	"type"        => "textfield",
	"class"       => "",
	"heading"     => __("Row ID","js_composer"),
	"param_name"  => "row_id",
	"value"       => "",
	"description" => __("Put your row ID here. This can then be used to target the row with CSS or as an anchor point to scroll to when the relevant link is clicked.","js_composer"),
));

vc_add_param("vc_row", array(
	"type"       => "dropdown",
	"class"      => "",
	"heading"    => __("Row Type","js_composer"),
	"param_name" => "row_type",
	"value"      => array(
		__( "Center Content", "js_composer" )     => "row_center_content",
		__( "Full Width Content", "js_composer" ) => "row_fullwidth_content",
	)
));


vc_add_param("vc_row", array(
	"type"        => "colorpicker",
	"class"       => "",
	"heading"     => __("Background Color","js_composer"),
	"param_name"  => "bg_color",
	"value"       => "",
	"description" => "",
	//"dependency"  => Array('element' => "row_style", 'value' => array('row_bg_color'))
));

// Backgroud Image : dependency by row_style
vc_add_param("vc_row", array(
	"type"        => "attach_image",
	"class"       => "",
	"heading"     => __("Background Image","js_composer"),
	"param_name"  => "bg_image",
	"value"       => "",
	"description" => "",
));
vc_add_param("vc_row", array(
	"type"       => "dropdown",
	"class"      => "",
	"heading"    => __("Background Position","js_composer"),
	"param_name" => "bg_position",
	"value"      => array(
		__("Left Top", "js_composer")      => "left top",
		__("Left Center", "js_composer")   => "left center",
		__("Left Bottom", "js_composer")   => "left bottom",
		__("Center Top", "js_composer")    => "center top",
		__("Center Center", "js_composer") => "center center",
		__("Center Bottom", "js_composer") => "center bottom",
		__("Right Top", "js_composer")     => "right top",
		__("Right Center", "js_composer")  => "right center",
		__("Right Bottom", "js_composer")  => "right bottom"
	),
));
vc_add_param("vc_row", array(
	"type"       => "dropdown",
	"class"      => "",
	"heading"    => __("Background Repeat", "js_composer"),
	"param_name" => "bg_repeat",
	"value"      => array(
		__("No Repeat", "js_composer") => "no-repeat",
		__("Repeat", "js_composer")    => "repeat"
	),
));


vc_add_param("vc_row", array(
	"type"        => "checkbox",
	"class"       => "",
	"heading"     => __("Enable Parallax Style","js_composer"),
	"value"       => array( __("Enable? (Parallax working with background image).","js_composer") => "false" ),
	"param_name"  => "row_parallax",
	"description" => ""
));


vc_add_param("vc_row", array(
	"type"        => "checkbox",
	"class"       => "",
	"heading"     => __("Video Background","js_composer"),
	"value"       => array( __("Enable Video Background?","js_composer") => "use_video" ),
	"param_name"  => "row_video_bg",
	"description" => ""
));

// Video Background
vc_add_param("vc_row", array(
	"type"        => "textfield",
	"heading"     => __("MP4 File URL", "js_composer"),
	"param_name"  => "bg_video_mp4",
	"value"       => "",
	"description" => __("Enter the URL for your .mp4 video file here to create a video background for this row.", "js_composer"),
	"dependency"  => Array('element' => "row_video_bg", 'value' => array('use_video'))
));
vc_add_param("vc_row", array(
	"type"        => "textfield",
	"heading"     => __("OGV File URL", "js_composer"),
	"param_name"  => "bg_video_ogv",
	"value"       => "",
	"description" => __("Enter the URL for your .ogv video file here to create a video background for this row.", "js_composer"),
	"dependency"  => Array('element' => "row_video_bg", 'value' => array('use_video'))
));
vc_add_param("vc_row", array(
	"type"        => "textfield",
	"heading"     => __("WEBM File URL", "js_composer"),
	"param_name"  => "bg_video_webm",
	"value"       => "",
	"description" => __("Enter the URL for your .webm video file here to create a video background for this row.", "js_composer"),
	"dependency"  => Array('element' => "row_video_bg", 'value' => array('use_video'))
));

vc_add_param("vc_row", array(
	"type"        => "colorpicker",
	"class"       => "",
	"heading"     => __("Background Color Overlay (for Parallax & Video BG)", "js_composer"),
	"value"       => "",
	"param_name"  => "row_color_overlay",
	"description" => "",
));



vc_add_param("vc_row", array(
	"type"       => "dropdown",
	"class"      => "",
	"heading"    => __("Text Color","js_composer"),
	"param_name" => "row_text_color",
	"value"      => array(
		__( "Select", "js_composer" ) => "row_text_select",
		__( "Light", "js_composer" )  => "row_text_light",
		__( "Dark", "js_composer" )   => "row_text_dark",
		__( "Custom", "js_composer" ) => "row_text_custom",
	)
));
vc_add_param("vc_row", array(
	"type"			=> "colorpicker",
	"class"			=> "",
	"heading"		=> __("Custom Text Color","js_composer"),
	"param_name"	=> "row_custom_text_color",
	"value" 		=> "",
	"dependency"  => Array('element' => "row_text_color", 'value' => array('row_text_custom'))
));



vc_add_param("vc_row", array(
	"type"			=> "colorpicker",
	"class"			=> "",
	"heading"		=> __("Border Color","js_composer"),
	"param_name"	=> "border_color",
	"value" 		=> "",
));

vc_add_param("vc_row", array(
	"type"			=> "dropdown",
	"class"			=> "",
	"heading"		=> __("Border Style","js_composer"),
	"param_name"	=> "border_style",
	"value"			=> array(
		__("Solid", "js_composer")	=> 'solid',
		__("Dotted", "js_composer")	=> "dotted",
		__("Dashed", "js_composer")	=> "dashed",
	),
));

vc_add_param("vc_row", array(
	"type"			=> "textfield",
	"class"			=> "",
	"heading"		=> __("Border Width","js_composer"),
	"param_name"	=> "border_width",
	"value"			=> "",
	"description"	=> __("Your border width. Example: 1px 1px 1px 1px.", "js_composer"),
));

vc_add_param("vc_row", array(
	"type"			=> "textfield",
	"class"			=> "",
	"heading"		=> __("Margin Top","js_composer"),
	"param_name"	=> "margin_top",
	"value"			=> "",
	"description" 	=> __("Don't include \"px\" in your string. e.g \"50\"", "js_composer"),
));

vc_add_param("vc_row", array(
	"type"			=> "textfield",
	"class"			=> "",
	"heading"		=> __("Margin Bottom","js_composer"),
	"param_name"	=> "margin_bottom",
	"value"			=> "",
	"description" 	=> __("Don't include \"px\" in your string. e.g \"50\"", "js_composer"),
));

vc_add_param("vc_row", array(
	"type"			=> "textfield",
	"class"			=> "",
	"heading"		=> __("Padding Top","js_composer"),
	"param_name"	=> "padding_top",
	"value"			=> "",
	"description" 	=> __("Don't include \"px\" in your string. e.g \"50\"", "js_composer"),
));

vc_add_param("vc_row", array(
	"type"			=> "textfield",
	"class"			=> "",
	"heading"		=> __("Padding Bottom","js_composer"),
	"param_name"	=> "padding_bottom",
	"value"			=> "",
));

vc_add_param("vc_row", array(
	"type"			=> "textfield",
	"class"			=> "",
	"heading"		=> __("Padding Left","js_composer"),
	"param_name"	=> "padding_left",
	"value"			=> "",
));

vc_add_param("vc_row", array(
	"type"			=> "textfield",
	"class"			=> "",
	"heading"		=> __("Padding Right","js_composer"),
	"param_name"	=> "padding_right",
	"value"			=> "",
));

vc_add_param("vc_row", array(
	"type"       => "textfield",
	"class"      => "",
	"heading"    => __("Extra Class Name", "js_composer"),
	"param_name" => "class",
	"value"      => "",
	"desc"       => __("This can then be used to target the row with CSS.","js_composer"),
));

/*------------------------------------------------------*/
/* BUTTON
/*------------------------------------------------------*/
$page_ids = get_all_page_ids();
$pages = array();
for ( $i = 0; $i < count($page_ids); $i++ ) {
	$pages[get_the_title($page_ids[$i])] = $page_ids[$i];
}


vc_map( array(
	"name"                      => __("Button", "js_composer"),
	"base"                      => 'vc_button',
	"icon"                      => "icon-wpb-ui-button",
	"allowed_container_element" => false,
	"category"                  => __('WPC Elements', 'js_composer'),
	"description"               => __('Eye catching button', 'js_composer'),
	"params"                    => array(
		array(
			'type'        => 'textfield',
			'heading'     => __( 'Text on the button', 'js_composer' ),
			'holder'      => 'button',
			'class'       => 'wpb_button',
			'param_name'  => 'title',
			'value'       => __( 'Text on the button', 'js_composer' ),
			'description' => __( 'Text on the button.', 'js_composer' )
		),
		array(
			'type'               => 'dropdown',
			'heading'            => __( 'Button Link', 'js_composer' ),
			'param_name'         => 'link',
			'description'        => __( 'Where should your button link to?.', 'js_composer' ),
			'value'              => array(
				__("Custom", "js_composer") => "custom",
				__("Page", "js_composer")   => "page"
			)
		),
		array(
			'type'        => 'href',
			'heading'     => __( 'URL (Link)', 'js_composer' ),
			'param_name'  => 'href',
			'description' => __( 'Button link.', 'js_composer' ),
			"dependency"  => Array('element' => "link", 'value' => array('custom'))
		),
		array(
			'type'        => 'dropdown',
			'heading'     => __( 'Link to a page', 'js_composer' ),
			'param_name'  => 'link_page',
			'description' => __( 'Select the page the button will link to.', 'js_composer' ),
			'value'       => $pages,
			"dependency"  => Array('element' => "link", 'value' => array('page'))
		),
		array(
			'type'       => 'dropdown',
			'heading'    => __( 'Target', 'js_composer' ),
			'param_name' => 'target',
			'value'		 => array(
				__("Same Window", "js_composer") => "same_window",
				__("New Window", "js_composer")  => "new_window",
			)
		),
		array(
			'type'               => 'dropdown',
			'heading'            => __( 'Button Color', 'js_composer' ),
			'param_name'         => 'color',
			'description'        => __( 'Button color.', 'js_composer' ),
			'value'              => array(
				__("Light", "js_composer")           => "light",
				__("Ghost", "js_composer")           => "ghost",
				__("Dark", "js_composer")            => "dark",
				__("Primary Color", "js_composer")   => "primary",
				__("Secondary Color", "js_composer") => "secondary",
				__("Custom BG Color", "js_composer") => "custom",
			)
		),
		array(
			"type"       => "colorpicker",
			"class"      => "",
			"heading"    => __("Custom Button BG Color","js_composer"),
			"param_name" => "button_custom_color",
			"value"      => "",
			"dependency" => Array('element' => "color", 'value' => array('custom'))
		),
		array(
			'type'        => 'dropdown',
			'heading'     => __( 'Size', 'js_composer' ),
			'param_name'  => 'size',
			'description' => __( 'Button size.', 'js_composer' ),
			'value'       => array(
				__("Regular Size", "js_composer") => "regular",
				__("Large Size", "js_composer")   => "large",
				__("Small Size", "js_composer")   => "small"
			)
		),

		array(
			'type'        => 'dropdown',
			'heading'     => __( 'Position', 'js_composer' ),
			'param_name'  => 'position',
			'description' => __( 'Button Position.', 'js_composer' ),
			'value'       => array(
				__("Left", "js_composer") => "left",
				__("Center", "js_composer")   => "center",
				__("Right", "js_composer")   => "right"
			)
		),

		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Custom Margin Top","js_composer"),
			"param_name"	=> "margin_top",
			"value"			=> "",
			"description" 	=> "Don't include \"px\" in your string. e.g \"50\"",
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Custom Margin Bottom","js_composer"),
			"param_name"	=> "margin_bottom",
			"value"			=> "",
			"description" 	=> "Don't include \"px\" in your string. e.g \"50\"",
		),
		array(
			'type'        => 'textfield',
			'heading'     => __( 'Extra class name', 'js_composer' ),
			'param_name'  => 'el_class',
			'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' )
		)
	),
	'js_view'  => 'VcButtonView'
) );

/*------------------------------------------------------*/
/* RESTAURANT MENU
/*------------------------------------------------------*/
vc_map( array(
	"name"                      => __("Restaurant Menu", "js_composer"),
	"base"                      => 'wpc_menu',
	"icon"                      => "",
	"show_settings_on_create"   => true,
	"category"                  => __('WPC Elements', 'js_composer'),
	"description"               => __('Eye catching restaurant menu', 'js_composer'),
	"params"                    => array(
		array(
			'type'        => 'textfield',
			'holder'      => 'h4',
			'heading'     => __( 'Menu Title', 'js_composer' ),
			'param_name'  => 'title',
			'value'       => __( 'Food Menu #1', 'js_composer' ),
			'description' => ''
		),
		array(
			'type'        => 'textarea',
			'holder'      => 'div',
			'heading'     => __( 'Menu Description', 'js_composer' ),
			'param_name'  => 'desc',
			'value'       => __( 'Cake infused with coffee or rum', 'js_composer' ),
			'description' => ''
		),
		array(
			'type'        => 'textfield',
			'heading'     => __( 'Menu Label', 'js_composer' ),
			'param_name'  => 'label',
			'value'       => '',
			'description' => __( 'Menu label such as Hot, New, Most Popular ... etc, display right after menu title.', 'js_composer' )
		),
		array(
			'type'        => 'textfield',
			'heading'     => __( 'Menu Price', 'js_composer' ),
			'param_name'  => 'price',
			'value'       => __( '$10', 'js_composer' ),
			'description' => ''
		),
		array(
			"type"        => "attach_image",
			"class"       => "",
			"heading"     => __("Menu Image","js_composer"),
			"param_name"  => "menu_image",
			"value"       => "",
			"description" => "Your menu image, will open in a lightbox"
		),
		array(
			'type'        => 'dropdown',
			'heading'     => __( 'Image Position', 'js_composer' ),
			'param_name'  => 'menu_image_position',
			'description' => __( 'How the menu image display?', 'js_composer' ),
			'value'       => array(
				__("Small & Left", "js_composer")            => "small_left",
				__("Large & Above Menu Item", "js_composer") => "large_above"
			)
		),

	),
	'js_view'  => 'VcTextSeparatorView'
) );

/*------------------------------------------------------*/
/* RESTAURANT MENU HEADING
/*------------------------------------------------------*/
vc_map( array(
	"name"                      => __("Restaurant Menu Heading", "js_composer"),
	"base"                      => 'wpc_menu_heading',
	"icon"                      => "",
	"show_settings_on_create"   => true,
	"category"                  => __('WPC Elements', 'js_composer'),
	"description"               => __('Restaurant menu heading', 'js_composer'),
	"params"                    => array(
		array(
			'type'        => 'textarea',
			'holder'      => 'h2',
			'heading'     => __( 'Menu Heading', 'js_composer' ),
			'param_name'  => 'heading',
			'value'       => '',
			'description' => __('Restaurant menu heading, allow simple HTML code.', 'js_composer')
		),
		array(
			'type'        => 'dropdown',
			'heading'     => __( 'Heading Line Style', 'js_composer' ),
			'param_name'  => 'extract_border',
			'description' => __( 'Add a line with custom menu heading', 'js_composer' ),
			'value'       => array(
				__("Select", "js_composer")                            => "default",
				__("Border has same line with heading", "js_composer") => "same_line",
				__("Border below heading", "js_composer")              => "below"
			)
		),

	),
) );

/*------------------------------------------------------*/
/* CONTACT META
/*------------------------------------------------------*/
vc_map( array(
	"name"                      => __("Contact Info", "js_composer"),
	"base"                      => 'wpc_contact_info',
	"icon"                      => "",
	"show_settings_on_create"   => true,
	"category"                  => __('WPC Elements', 'js_composer'),
	"description"               => __('Address, phone, fax ...', 'js_composer'),
	"params"                    => array(
		array(
			'type'        => 'textarea',
			'holder'      => 'h2',
			'heading'     => __( 'Widget Title', 'js_composer' ),
			'param_name'  => 'widget_title',
			'value'       => 'Contact info',
			'description' => __('What text use as widget title. Leave blank if no title is needed.', 'js_composer')
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Contact Address Text","js_composer"),
			"param_name"	=> "address_text",
			"value"			=> '',
			"description" 	=> "example: Address",
		),
		array(
			"type"			=> "textarea",
			"class"			=> "",
			"heading"		=> __("Contact Address","js_composer"),
			"param_name"	=> "address",
			"value"			=> '',
			"description" 	=> "example: 1600 Amphitheatre Parkway<br> Mountain View CA 94043<br> United States",
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Contact Telephone Text","js_composer"),
			"param_name"	=> "telephone_text",
			"value"			=> '',
			"description" 	=> "example: Telephone",
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Contact Telephone","js_composer"),
			"param_name"	=> "telephone",
			"value"			=> '',
			"description" 	=> "example: (123) 123-4567",
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Contact Fax Text","js_composer"),
			"param_name"	=> "fax_text",
			"value"			=> '',
			"description" 	=> "example: Fax",
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Contact Fax","js_composer"),
			"param_name"	=> "fax",
			"value"			=> '',
			"description" 	=> "example: (123) 123-4567",
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Contact Toll Free Text","js_composer"),
			"param_name"	=> "toll_free_text",
			"value"			=> '',
			"description" 	=> "example: Toll Free",
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Contact Toll Free","js_composer"),
			"param_name"	=> "toll_free",
			"value"			=> '',
			"description" 	=> "example: (123) 123-4567",
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Contact Email Text","js_composer"),
			"param_name"	=> "email_text",
			"value"			=> '',
			"description" 	=> "example: Email",
		),
		array(
			"type"			=> "textfield",
			"class"			=> "",
			"heading"		=> __("Contact Email Text","js_composer"),
			"param_name"	=> "email",
			"value"			=> '',
			"description" 	=> "Example: contact@restaurant.com",
		),
	),
) );

/*------------------------------------------------------*/
/* OPENTABLE RESERVATION FORM
/*------------------------------------------------------*/
vc_map( array(
	"name"                      => __("OpenTable Reservation", "js_composer"),
	"base"                      => 'wpc_opentable',
	"icon"                      => "",
	"show_settings_on_create"   => true,
	"category"                  => __('WPC Elements', 'js_composer'),
	"description"               => __('OpenTable Reservation Form', 'js_composer'),
	"params"                    => array(
		array(
			'type'        => 'textarea',
			'heading'     => __( 'Widget Heading', 'js_composer' ),
			'param_name'  => 'heading',
			'value'       => '',
			'description' => __('OpenTable Reservation widget heading, allow simple HTML code.', 'js_composer')
		),
		array(
			'type'        => 'textfield',
			'heading'     => __( 'Restaurant ID', 'js_composer' ),
			'param_name'  => 'restaurant_id',
			'value'       => '',
			'description' => __('Finding Your Open Table Restaurant ID: <a target="_blank" href="https://www.youtube.com/watch?v=D-8B-f2Wj6w">Click Here</a>', 'js_composer')
		),
		array(
			'type'        => 'textfield',
			'heading'     => __( 'Submit Button Text', 'js_composer' ),
			'param_name'  => 'submit_text',
			'value'       => 'Find A Table',
			'description' => __('<i>Default:</i> Find A Table', 'js_composer')
		),

	),
) );

if ( charming_event() ) {
/*------------------------------------------------------*/
/* CUSTOM EVENT LIST
/*------------------------------------------------------*/
vc_map( array(
	"name"                      => __("Events List", "js_composer"),
	"base"                      => 'wpc_events',
	"icon"                      => "",
	"show_settings_on_create"   => true,
	"category"                  => __('WPC Elements', 'js_composer'),
	"description"               => __('Show list events', 'js_composer'),
	"params"                    => array(
		array(
			'type'        => 'textarea',
			'heading'     => __( 'Widget Heading', 'js_composer' ),
			'param_name'  => 'heading',
			'value'       => '',
			'description' => __('Event list widget heading.', 'js_composer')
		),
		array(
			'type'        => 'textfield',
			'heading'     => __( 'Number of events', 'js_composer' ),
			'param_name'  => 'number',
			'value'       => '',
			'description' => 'The number of events to show? default is 4'
		),
		array(
			"type"        => "checkbox",
			"class"       => "",
			"heading"     => __("Display pagination?","js_composer"),
			"value"       => array( __("Yes.","js_composer") => "false" ),
			"param_name"  => "pagination",
			"description" => ""
		),
	),
) );

/*------------------------------------------------------*/
/* CUSTOM EVENT CALENDAR
/*------------------------------------------------------*/
vc_map( array(
	"name"                      => __("Events Calendar", "js_composer"),
	"base"                      => 'wpc_events_calendar',
	"icon"                      => "",
	"show_settings_on_create"   => true,
	"category"                  => __('WPC Elements', 'js_composer'),
	"description"               => __('Full sized event calendar', 'js_composer'),
	"params"                    => array(
		array(
			'type'        => 'textarea',
			'heading'     => __( 'Widget Heading', 'js_composer' ),
			'param_name'  => 'heading',
			'value'       => '',
			'description' => __('Event list widget heading.', 'js_composer')
		),
		array(
			"type"        => "checkbox",
			"class"       => "",
			"heading"     => __("Display Long events?","js_composer"),
			"value"       => array( __("Yes.","js_composer") => "true" ),
			"param_name"  => "long_events",
			"description" => __('Displays events that span more than one day on each calendar cell', 'js_composer')
		),
		array(
			'type'        => 'dropdown',
			'heading'     => __( 'Starting Year', 'js_composer' ),
			'param_name'  => 'year',
			'description' => __( 'Starting year will be display.', 'js_composer' ),
			'value'       => array(
				__("Current Year", "js_composer") => "0",
				__("2015", "js_composer")        => "2015",
				__("2016", "js_composer")        => "2016",
				__("2016", "js_composer")        => "2016",
				__("2017", "js_composer")        => "2017",
				__("2018", "js_composer")        => "2018",
				__("2019", "js_composer")        => "2019",
				__("2020", "js_composer")        => "2020"
			)
		),
		array(
			'type'        => 'dropdown',
			'heading'     => __( 'Starting Month', 'js_composer' ),
			'param_name'  => 'month',
			'description' => __( 'Starting month will be display.', 'js_composer' ),
			'value'       => array(
				__("Current Month", "js_composer") => "0",
				__("01", "js_composer")            => "01",
				__("02", "js_composer")            => "02",
				__("03", "js_composer")            => "03",
				__("04", "js_composer")            => "04",
				__("05", "js_composer")            => "05",
				__("06", "js_composer")            => "06",
				__("07", "js_composer")            => "07",
				__("08", "js_composer")            => "08",
				__("09", "js_composer")            => "09",
				__("10", "js_composer")            => "10",
				__("11", "js_composer")            => "11",
				__("12", "js_composer")            => "12"
			)
		),
	),
) );

} // End charming event

/*------------------------------------------------------*/
/* SPECIAL HEADING
/*------------------------------------------------------*/
vc_map( array(
	"name"                      => __("Special Heading", "js_composer"),
	"base"                      => 'wpc_special_heading',
	"icon"                      => "",
	"show_settings_on_create"   => true,
	"category"                  => __('WPC Elements', 'js_composer'),
	"description"               => __('Eye catching 2 lines heading', 'js_composer'),
	"params"                    => array(
		array(
			'type'        => 'dropdown',
			'heading'     => __( 'Text Align', 'js_composer' ),
			'param_name'  => 'text_align',
			'value'       => array(
				__("Left", "js_composer")   => "left",
				__("Center", "js_composer") => "center",
				__("Right", "js_composer")  => "right"
			)
		),
		array(
			'type'        => 'textarea',
			'heading'     => __( 'Heading Line 1', 'js_composer' ),
			'param_name'  => 'heading_1',
			'holder'      => 'h2',
			'value'       => '',
			'description' => __('A heading with special font family, it will use <strong>Special Font</strong> from Theme Option > Typography.', 'js_composer')
		),
		array(
			"type"       => "colorpicker",
			"class"      => "",
			"heading"    => __("Heading Line 1 Color","js_composer"),
			"param_name" => "heading_1_color",
			"value"      => "",
			'description' => __('If this is set, the default <strong>Special Font</strong> color in Theme Option will be overwritten.', 'js_composer')
		),
		array(
			"type"       => "textfield",
			"class"      => "",
			"heading"    => __("Heading Line 1 Font Size","js_composer"),
			"param_name" => "heading_1_font_size",
			"value"      => "",
			'description' => __("If this is set, the default <strong>Special Font</strong> font size in Theme Option will be overwritten.(Don't include \"px\" in your string. e.g \"20\")", 'js_composer')
		),
		array(
			'type'        => 'textarea',
			'heading'     => __( 'Heading Line 2', 'js_composer' ),
			'param_name'  => 'heading_2',
			'holder'      => 'h3',
			'value'       => '',
			'description' => __('This heading display right after the heading line 1, it will use default heading font.', 'js_composer')
		),
		array(
			"type"       => "colorpicker",
			"class"      => "",
			"heading"    => __("Heading Line 2 Color","js_composer"),
			"param_name" => "heading_2_color",
			"value"      => "",
			'description' => __('If this is set, the default <strong>Heading</strong> color in Theme Option will be overwritten.', 'js_composer')
		),
		array(
			"type"       => "textfield",
			"class"      => "",
			"heading"    => __("Heading Line 2 Font Size","js_composer"),
			"param_name" => "heading_2_font_size",
			"value"      => "",
			'description' => __("If this is set, the default <strong>Special Font</strong> font size in Theme Option will be overwritten.(Don't include \"px\" in your string. e.g \"20\")", 'js_composer')
		),
		array(
			'type'        => 'textfield',
			'heading'     => __( 'Heading Line 2 Margin Top', 'js_composer' ),
			'param_name'  => 'heading_2_margin_top',
			'value'       => '',
			"description" 	=> "Don't include \"px\" in your string. e.g \"20\"",
		),
		array(
			'type'        => 'textfield',
			'heading'     => __( 'Heading Line 2 Margin Bottom', 'js_composer' ),
			'param_name'  => 'heading_2_margin_bottom',
			'value'       => '',
			"description" 	=> "Don't include \"px\" in your string. e.g \"20\"",
		),
		
	),
	'js_view'  => 'VcTextSeparatorView'
) );


/*------------------------------------------------------*/
/* SINGLE IMAGE
/*------------------------------------------------------*/


// $page_ids = get_all_page_ids();
// $pages = array();
// for ( $i = 0; $i < count($page_ids); $i++ ) {
// 	$pages[get_the_title($page_ids[$i])] = $page_ids[$i];
// }

// vc_map( array(
// 	"name"                      => __("Single Image", "js_composer"),
// 	"base"                      => 'wpc_single_image',
// 	"icon"                      => "",
// 	"show_settings_on_create"   => true,
// 	"category"                  => __('WPC Elements', 'js_composer'),
// 	"description"               => __('Simple image with lightbox', 'js_composer'),
// 	"params"                    => array(
		
// 		array(
// 			'type'        => 'textarea',
// 			'heading'     => __( 'Widget Heading', 'js_composer' ),
// 			'param_name'  => 'heading',
// 			'value'       => '',
// 			'description' => __('OpenTable Reservation widget heading, allow simple HTML code.', 'js_composer')
// 		),
// 		array(
// 			"type"        => "attach_image",
// 			"class"       => "",
// 			"heading"     => __("Image","js_composer"),
// 			"param_name"  => "image",
// 			"value"       => "",
// 			"description" => __('Select image from media library.', 'js_composer')
// 		),
// 		array(
// 			'type'        => 'textfield',
// 			'heading'     => __( 'Image Size', 'js_composer' ),
// 			'param_name'  => 'image_size',
// 			'description' => __( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or "medium-thumb" for 500x300 size. Alternatively enter image size in pixels: 300x200 (Width x Height). Leave empty to use "medium-thumb" size.', 'js_composer' )		
// 		),
// 		array(
// 			'type'        => 'dropdown',
// 			'heading'     => __( 'Link Image To?', 'js_composer' ),
// 			'param_name'  => 'link',
// 			'default'	  => 'large_lightbox',
// 			'value'       => array(
// 				__("Large image", "js_composer")               => "large",
// 				__("Large image with lightbox", "js_composer") => "large_lightbox",
// 				__("Page", "js_composer")                      => "page",
// 				__("Custom", "js_composer")                    => "custom",
// 			)
// 		),
// 		array(
// 			'type'        => 'dropdown',
// 			'heading'     => __( 'Link to a page', 'js_composer' ),
// 			'param_name'  => 'link_page',
// 			'description' => __( 'Select the page the image will link to.', 'js_composer' ),
// 			'value'       => $pages,
// 			"dependency"  => Array('element' => "link", 'value' => array('page'))
// 		),
// 		array(
// 			'type'        => 'href',
// 			'heading'     => __( 'URL (Image will link to)', 'js_composer' ),
// 			'param_name'  => 'href',
// 			'description' => __( 'Custom link.', 'js_composer' ),
// 			"dependency"  => Array('element' => "link", 'value' => array('custom'))
// 		),

// 		array(
// 			'type'        => 'dropdown',
// 			'heading'     => __( 'Image Alignment', 'js_composer' ),
// 			'param_name'  => 'text_align',
// 			'value'       => array(
// 				__("Left", "js_composer")   => "left",
// 				__("Center", "js_composer") => "center",
// 				__("Right", "js_composer")  => "right"
// 			)
// 		),
// 		array(
// 			"type"       => "textfield",
// 			"class"      => "",
// 			"heading"    => __("Extra Class Name", "js_composer"),
// 			"param_name" => "class",
// 			"value"      => "",
// 			"desc"       => __("This can then be used to target the row with CSS.","js_composer"),
// 		),
// 		array(
// 			'type' => 'css_editor',
// 			'heading' => __( 'Css', 'js_composer' ),
// 			'param_name' => 'css',
// 			'group' => __( 'Design options', 'js_composer' )
// 		)

// 	),
// ) );

