<?php

/*------------------------------------------------------*/
/* SPECIAL HEADING
/*------------------------------------------------------*/
function wpc_shortcode_special_heading($atts, $content = null) {
	extract(shortcode_atts(array(
		'text_align'              => '',
		'heading_1'               => '',
		'heading_1_color'         => '',
		'heading_1_font_size'     => '',
		'heading_2'               => '',
		'heading_2_font_size'     => '',
		'heading_2_color'         => '',
		'heading_2_margin_top'    => '',
		'heading_2_margin_bottom' => ''
	), $atts));

	// Heading H1 Style
	$styles_h1 = array();
	if ( $heading_1_font_size ) {
		$styles_h1[] = 'font-size: ' . intval($heading_1_font_size) . 'px;'; 
		$styles_h1[] = 'line-height: ' . intval($heading_1_font_size) . 'px;'; 
	}
	if ( $heading_1_color ) $styles_h1[] = 'color: ' . $heading_1_color .';';

	$styles_h1 = implode('', $styles_h1);
	if ( $styles_h1 ) {
		$styles_h1 = wp_kses( $styles_h1, array() );
		$styles_h1 = ' style="' . esc_attr($styles_h1) . '"';
	}


	// Heading H2 Style
	$styles = array();
	if ( $heading_2_margin_top ) $styles[] = 'margin-top: ' . intval($heading_2_margin_top) . 'px;';
	if ( $heading_2_margin_bottom ) $styles[] = 'margin-bottom: ' . intval($heading_2_margin_bottom) . 'px;';
	if ( $heading_2_color ) $styles[] = 'color: ' . $heading_2_color .';';
	if ( $heading_2_font_size ) $styles[] = 'font-size: ' . $heading_2_font_size .'px;';
	$styles = implode('', $styles);
	if ( $styles ) {
		$styles = wp_kses( $styles, array() );
		$styles = ' style="' . esc_attr($styles) . '"';
	}

	// Text Align
	$align = null;
	if ( $text_align ) $align = ' style="text-align: '. $text_align .'"';

	$output = null;

	if ( $heading_1 || $heading_2 ) $output .= '
	<div class="wpc-special-heading-wrap wpb_content_element"'. $align .'>';
		
		if ( $heading_1 ) $output .= '
		<span class="special-heading-1"'. $styles_h1 .'>'. $heading_1 .'</span>';

		if ( $heading_1 ) $output .= '
		<span class="special-heading-2"'. $styles .'>'. $heading_2 .'</span>';

	if ( $heading_1 || $heading_2 ) $output .= '
	</div>';

	return $output;
}
add_shortcode('wpc_special_heading', 'wpc_shortcode_special_heading');

/*------------------------------------------------------*/
/* RESTAURANT MENU
/*------------------------------------------------------*/
function wpc_shortcode_menu($atts, $content = null) {
	extract(shortcode_atts(array(
		'title'               => '',
		'desc'                => '',
		'label'               => '',
		'price'               => '',
		'menu_image'          => '',
		'menu_image_position' => ''
	), $atts));

	$has_image = null;
	if ( $menu_image ) {
		//wp_enqueue_script( 'wpcharming-magnific-popup' );
    	wp_enqueue_style( 'wpcharming-magnific-style' );
		$has_image = ' menu-has-image menu-image-lightbox';
		if ( $menu_image_position == 'large_above') $has_image = ' menu-large-image menu-image-lightbox';
	}

	$label_show = null;
	if ( $label ) $label_show = '<span class="menu-label">'. $label .'</span>';

	$link_title = null;
	if ( $title ) $link_title = ' title="'. $title .'"';

	$output = null;
	$output .= '<div class="restaurant-menu-item '. $has_image .'">';
		if ( $menu_image ) {
			if ( $menu_image_position == 'large_above') {
				$output .= '<a'. $link_title .' class="mfp-single menu-image" href="'. wp_get_attachment_url($menu_image) .'">'. wp_get_attachment_image($menu_image,'medium-thumb') .'</a>';
			} else {
				$output .= '<a'. $link_title .' class="mfp-single menu-image" href="'. wp_get_attachment_url($menu_image) .'">'. wp_get_attachment_image($menu_image,'thumbnail') .'</a>';
			}
		}
		$output .= '<div class="menu-text">';
			$output .= '<div class="menu-title"><span>'. $title .'</span>'. $label_show .'</div>';
			$output .= '<div class="menu-desc-wrap">';
				$output .= '<div class="menu-desc"><span>'. $desc .'</span></div>';
				if ( $price ) 
				$output .= '<div class="menu-price">'. $price .'</div>';
			$output .= '</div>';
		$output .= '</div>';
	$output .= '</div>';

	return $output;
}
add_shortcode('wpc_menu', 'wpc_shortcode_menu');

/*------------------------------------------------------*/
/* RESTAURANT MENU HEADING
/*------------------------------------------------------*/
function wpc_shortcode_menu_heading($atts, $content = null) {
	extract(shortcode_atts(array(
		'heading'        => '',
		'extract_border' => ''
	), $atts));

	$menu_heading_class = null;
	if ( $extract_border == 'same_line' ) $menu_heading_class = 'border_same_line';
	if ( $extract_border == 'below' ) $menu_heading_class = 'border_below_heading';

	$output = null;
	if ( $heading ) { 
		$output .= '<div class="menu-heading-wrap">';
		$output .= '<h2 class="'. $menu_heading_class .'"><span>'. $heading .'</span></h2>';
		$output .= '</div>';
	}

	return $output;
}
add_shortcode('wpc_menu_heading', 'wpc_shortcode_menu_heading');

/*------------------------------------------------------*/
/* CONTACT INFO
/*------------------------------------------------------*/
function wpc_shortcode_contact_info($atts, $content = null) {
	extract(shortcode_atts(array(
		'widget_title'   => '',
		'address_text'   => '',
		'address'        => '',
		'telephone_text' => '',
		'telephone'      => '',
		'fax_text'       => '',
		'fax'            => '',
		'toll_free_text' => '',
		'toll_free'      => '',
		'email_text'     => '',
		'email'          => ''
	), $atts));

	$output = null;

	$output .= '
	<div class="contact-info-box wpb_content_element">';
	if ( $widget_title ) $output .= '
		<h3>'. $widget_title .'</h3>';

		if ( $address_text || $address ) $output .= '
		<div class="contact-info-item">
			<div class="contact-text"><span>'. $address_text .'</span></div>
			<div class="contact-value">'. $address .'</div>
		</div>';

		if ( $telephone_text || $telephone ) $output .= '
		<div class="contact-info-item">
			<div class="contact-text"><span>'. $telephone_text .'</span></div>
			<div class="contact-value">'. $telephone .'</div>
		</div>';

		if ( $fax_text || $fax ) $output .= '
		<div class="contact-info-item">
			<div class="contact-text"><span>'. $fax_text .'</span></div>
			<div class="contact-value">'. $fax .'</div>
		</div>';

		if ( $toll_free_text || $toll_free ) $output .= '
		<div class="contact-info-item">
			<div class="contact-text"><span>'. $toll_free_text .'</span></div>
			<div class="contact-value">'. $toll_free .'</div>
		</div>';

		if ( $email_text || $email ) $output .= '
		<div class="contact-info-item">
			<div class="contact-text"><span>'. $email_text .'</span></div>
			<div class="contact-value">'. $email .'</div>
		</div>';

	$output .= '
	</div>';

	return $output;
}
add_shortcode('wpc_contact_info', 'wpc_shortcode_contact_info');

/*------------------------------------------------------*/
/* OPENTABLE RESERVATION FORM
/*------------------------------------------------------*/
function wpc_shortcode_opentable($atts, $content = null) {
	extract(shortcode_atts(array(
		'heading'       => '',
		'restaurant_id' => '',
		'submit_text'	=> ''
	), $atts));
	$output = null;

	$output .= '
	<div class="opentable-wrap wpb_content_element">';

		if ( $heading ) $output .= '
			<h3 class="wpc-builder-title text-center">'. $heading .'</h3>';

		if ( $restaurant_id ) {

			wp_enqueue_script('jquery-ui-core');
			wp_enqueue_script('jquery-ui-datepicker');

			$output .= '
			<div class="opentable-form-wrap">';

				$output .='
				<form method="get" class="opentable-form" action="http://www.opentable.com/restaurant-search.aspx" target="_blank">';

					$output .= '
					<div class="form_1_3">';

						$output .= '
						<input name="startDate" class="opentable-reservation-date wpcf7-date" placeholder="'. __('Reservation Date', 'wpcharming') .'" type="text" value="" autocomplete="off">';

					$output .= '
					</div>';

					$output .= '
					<div class="form_1_3">';

						$output .= '
						<select name="ResTime" class="opentable-reservation-time selectpicker">';

							$inc = 30 * 60;
							$start = ( strtotime( '5AM' ) );
							$end = ( strtotime( '11:30PM' ) );

							for ( $i = $start; $i <= $end; $i += $inc ) {
								$time      = date( 'g:i a', $i );
								$timeValue = date( 'g:ia', $i );
								$default   = "7:00am";
								$output .= "<option value=\"$timeValue\" " . ( ( $timeValue == $default ) ? ' selected="selected" ' : "" ) . ">$time</option>" . PHP_EOL;
							}

						$output .= '
						</select>';

					$output .= '
					</div>';

					$output .= '
					<div class="form_1_3 last">';

						$output .= '
						<select name="partySize" class="opentable-party-size-select selectpicker">
							<option value="1">1 Person</option>
							<option value="2" selected="selected">2 People</option>
							<option value="3">3 People</option>
							<option value="4">4 People</option>
							<option value="5">5 People</option>
							<option value="6">6 People</option>
							<option value="7">7 People</option>
							<option value="8">8 People</option>
							<option value="9">9 People</option>
							<option value="10">10 People</option>
						</select>';
						
					$output .= '
					</div><div class="clear"></div>';

					$output .= '
					<div class="opentable-button-submit text-center">
						<input type="submit" class="btn btn-large btn-primary" value="'. $submit_text .'"/>
					</div>';

					$output .= '
					<input type="hidden" name="RestaurantID" class="RestaurantID" value="'. $restaurant_id .'">
					<input type="hidden" name="rid" class="rid" value="'. $restaurant_id .'">
					<input type="hidden" name="GeoID" class="GeoID" value="15">
					<input type="hidden" name="txtDateFormat" class="txtDateFormat" value="MM/dd/yyyy">
					<input type="hidden" name="RestaurantReferralID" class="RestaurantReferralID" value="'. $restaurant_id .'">';

				$output .= '
				</form>';

			$output .= '
			</div>';

			$output .= '
			<script type= text/javascript>';

				$output .= '
				 jQuery(function() {
					jQuery( ".opentable-reservation-date" ).datepicker({});
				});';

			$output .= '
			</script>';

		} else {

			$output .= __('<i>Please enter your Restaurant ID.</i>', 'wp_charming');

		}

	$output .= '
	</div>';

	return $output;
}
add_shortcode('wpc_opentable', 'wpc_shortcode_opentable');

/*------------------------------------------------------*/
/* SHORTCODE EVENT
/*------------------------------------------------------*/
function wpc_shortcode_events($atts, $content = null) {
	extract(shortcode_atts(array(
		'heading'    => '',
		'number'     => '',
		'pagination' => ''
	), $atts));

	$shortcode_var = null;
	if ( $number <= 0 || $number == '' ) {
		$shortcode_var .= 'limit="4"';
	} else {
		$shortcode_var .= 'limit="'. $number .'"';
	}
	if ( $pagination ) {
		$shortcode_var .= ' pagination="1"';
	}

	$event_shortcode = null;

	$event_shortcode .= '
	[events_list '. $shortcode_var .']';

		$event_shortcode .= '
		<div id="event-#_EVENTID" class="wpc-event-item clearfix">';

			$event_shortcode .= '
			<a href="#_EVENTURL" class="clearfix">';

				$event_shortcode .= '
				#_EVENTIMAGE{150,150}';

				$event_shortcode .= '
				<div class="wpc-event-name">';

					$event_shortcode .= '
					<div class="wpc-event-title">#_EVENTNAME</div>';
					// $event_shortcode .= '
					// <div class="wpc-event-excerpt">#_EVENTEXCERPT</div>';

				$event_shortcode .= '
				</div>';

				$event_shortcode .= '{has_location}
				<div class="wpc-event-location">';

					$event_shortcode .= '
					<div class="wpc-event-location-name"><i class="fa fa-map-marker"></i>#_LOCATIONNAME</div>';

				$event_shortcode .= '
				</div>{/has_location}';

				$event_shortcode .= '
				<div class="wpc-event-time"><i class="fa fa-clock-o"></i>#_EVENTTIMES</div>';

				$event_shortcode .= '
				<div class="wpc-event-date"><i class="fa fa-calendar-o"></i>#_EVENTDATES</div>';

			$event_shortcode .= '
			</a>';

		$event_shortcode .= '
		</div>';

	$event_shortcode .= '
	[/events_list]';


	$output = null;

	$output .= '
	<div class="wpc-event-wrap wpb_content_element">';

	if ( $heading ) $output .= '
	<h3 class="wpc-builder-title text-center">'. $heading .'</h3>';

	$output .= do_shortcode( $event_shortcode );

	$output .= '
	</div>';

	return $output;
}
add_shortcode('wpc_events', 'wpc_shortcode_events');

/*------------------------------------------------------*/
/* SHORTCODE EVENT
/*------------------------------------------------------*/
function wpc_shortcode_events_calendar($atts, $content = null) {
	extract(shortcode_atts(array(
		'heading'     => '',
		'long_events' => '',
		'year'        => '',
		'month'       => ''
	), $atts));

	$shortcode_var = null;
	if ( $long_events ) {
		$shortcode_var .= 'long_events="1"';
	}

	if ( $year && $year != '0' ) {
		$shortcode_var .= ' year="'. $year .'"';
	}

	if ( $month && $month != '0' ) {
		$shortcode_var .= ' month="'. $month .'"';
	}


	$event_shortcode = null;

	$event_shortcode .= '[events_calendar full=1 '. $shortcode_var .']';


	$output = null;

	$output .= '
	<div class="wpc-event-calendar-wrap wpb_content_element">';

	if ( $heading ) $output .= '
	<h3 class="wpc-builder-title text-center">'. $heading .'</h3>';

	$output .= do_shortcode( $event_shortcode );

	$output .= '
	</div>';

	return $output;
}
add_shortcode('wpc_events_calendar', 'wpc_shortcode_events_calendar');




