<?php
/**
 * The template for displaying single event.
 *
 * @package WPCharming
 */

$event_comment     = wpcharming_option('event_comments');
$event_page_id     = wpcharming_option('event_page');
$event_page_header = wpcharming_option('single_event_page_header');

get_header(); ?>
	
	
	<?php if ( $event_page_header && $event_page_id != '' ) wpcharming_get_page_header( $event_page_id ); ?>

	<div id="content-wrap" class="container <?php echo wpcharming_get_layout_class(); ?>">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">

				<?php while ( have_posts() ) : the_post(); ?>

					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

					<header class="entry-header">
						<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
					</header><!-- .entry-header -->
					
					<?php
					if( has_post_thumbnail( ) ) {
						echo '<div class="post-thumbnail">';
						the_post_thumbnail( 'blog-large' );
						echo '</div>';
					}
					?>

					<div class="entry-content">
						<?php the_content(); ?>
						<?php
							wp_link_pages( array(
								'before' => '<div class="page-links">' . __( 'Pages:', 'wpcharming' ),
								'after'  => '</div>',
							) );
						?>
					</div><!-- .entry-content -->

				</article><!-- #post-## -->

					<?php
					if ( $event_comment ) {
						// If comments are open or we have at least one comment, load up the comment template
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					}
					?>

				<?php endwhile; // end of the loop. ?>

			</main><!-- #main -->
		</div><!-- #primary -->
		<?php echo wpcharming_get_sidebar(); ?>
	</div> <!-- /#content-wrap -->
<?php get_footer(); ?>
